<?php
/*
$JA#COPYRIGHT$
*/

defined('_JEXEC') or die;
require_once(dirname(dirname(__FILE__)).'../../../helper.php');
$db = JFactory::getDbo();
$idArr = array();
foreach ($this->results as $item) {
	if ($item->slug) {
		$id = preg_replace("/[^0-9]/","",$item->slug);
		$idArr[] = $id;
	}
}
$imgArr = array();
if ($idArr != false) {
	$results = JATemplateHelper::getContactImgByContentIds($idArr);
	foreach ($results AS $res) {
		if (trim($res->image) != '')
			$imgArr[$res->id] = $res->image;
	}
}
?>

<div class="search-results<?php echo $this->pageclass_sfx; ?>">
	<?php foreach ($this->results as $result) : ?>
		<div class="result-item clearfix">
			<?php $id = preg_replace("/[^0-9]/","",$result->slug);if (isset($imgArr[$id])) : ?>
				<div class="img-intro">
					<img class="img-responsive" src="<?php echo $imgArr[$id]; ?>" />
				</div>
			<?php endif;?>
			
			<div class="result-detail">
				<h3 class="result-title">
					<?php if ($result->href) : ?>
						<a href="<?php echo JRoute::_($result->href); ?>"
							<?php if ($result->browsernav == 1) : ?>
								target="_blank"
							<?php endif; ?>>
							<?php echo $this->escape($result->title); ?>
						</a>
					<?php else: ?>
						<?php echo $this->escape($result->title); ?>
					<?php endif; ?>
				</h3>
				<?php if ($result->section) : ?>
					<div class="result-category">
						<span class="small<?php echo $this->pageclass_sfx; ?>">
							(<?php echo $this->escape($result->section); ?>)
						</span>
					</div>
				<?php endif; ?>
				<p class="result-text">
					<?php echo $result->text; ?>
				</p>
				<?php if ($this->params->get('show_date') && !empty($result->created)) : ?>
					<p class="result-created<?php echo $this->pageclass_sfx; ?>">
						<?php echo JText::sprintf('JGLOBAL_CREATED_DATE_ON', '<strong>' . $result->created . '</strong>'); ?>
					</p>
				<?php endif; ?>
			</div>
		</div>
	<?php endforeach; ?>
</div>

<div class="pagination-wrap">
	<?php echo $this->pagination->getPagesLinks(); ?>
</div>
